
From: Mikael Pettersson <mikpe@csd.uu.se>

<linux/perfctr.h>: Change number fields in register descriptors to 64 bits.
 Otherwise i386 binaries break on x86_64 kernels since the descriptors get
larger alignment and sizes on x86_64 than on i386.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/perfctr.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN include/linux/perfctr.h~perfctr-64-bit-values-in-register-descriptors-fix include/linux/perfctr.h
--- 25/include/linux/perfctr.h~perfctr-64-bit-values-in-register-descriptors-fix	2005-03-23 13:13:15.000000000 -0800
+++ 25-akpm/include/linux/perfctr.h	2005-03-23 13:13:15.000000000 -0800
@@ -29,7 +29,7 @@ struct vperfctr_control {
 
 /* common description of an arch-specific control register */
 struct perfctr_cpu_reg {
-	__u32 nr;
+	__u64 nr;
 	__u64 value;
 };
 
_
